

Yesterday's Tractor Co. Privacy Policy 


Yesterday's Tractors is committed to protecting the privacy of Internet users. Below is information outlining our continued support for the responsible management of site visitor information. 

Site Visitor Information

During the process of delivering information to you, Yesterday's Tractors does not collect any personally identifiable information about you such as name, address, phone number, or e-mail address. However, Yesterday's Tractors does obtain some types of non-personally identifiable information such as the Internet Service Provider you use to connect to the Internet, your browser type, or the type of computer operating system you use (Macintosh or Windows, for example). The information collected by Yesterday's Tractors is used for the purpose of monitoring site statistics. 

If you would like additional information about the types of non-personally identifiable information that is collected by Yesterday's Tractors please contact us.

In some cases, you may voluntarily provide personal information when filling out our Feedback Form or participating in the discussion forums or other areas of our site. This is voluntary on your part.  Yesterday's Tractors does not sell or redistribute any of this information.

[ Home ]



Fast Shipping!  Most of our stocked parts ship within 24 hours (M-Th).  Expedited shipping available, just call!  Most prices for parts and manuals are below our competitors.  Compare our super low shipping rates!  We have the parts you need to repair your tractor. We are a company you can trust and have generous return policies.  Shop Online Today or call our friendly sales staff toll free (800) 853-2651. [ About Us ]

Home
   |  Forums

  Copyright © 1997-2016 Yesterday's Tractor Co. All Rights Reserved.  Reproduction of any part of this website, including design and content, without written permission is strictly prohibited.  Trade Marks and Trade Names contained and used in this Website are those of others, and are used in this Website in a descriptive sense to refer to the products of others.  Use of this Web site constitutes acceptance of our User Agreement  and Privacy Policy  TRADEMARK DISCLAIMER: Tradenames and Trademarks referred to within Yesterday's Tractor Co. products and within the Yesterday's Tractor Co. websites are the property of their respective trademark holders.  None of these trademark holders are affiliated with Yesterday's Tractor Co., our products, or our website nor are we sponsored by them.  John Deere and its logos are the registered trademarks of the John Deere Corporation.  Agco, Agco Allis, White, Massey Ferguson and their logos are the registered trademarks of AGCO Corporation.  Case, Case-IH, Farmall, International Harvester, New Holland and their logos are registered trademarks of CNH Global N.V. Yesterday's Tractors - Antique Tractor Headquarters
